
<template>
  <div class="q-pt-md q-pl-lg q-pr-md padding-no-mobil">
    <!-- $q.cookies.get('_mdls_') -->
    <q-breadcrumbs v-if="modulesGlobal">
      <template v-slot:separator>
        <q-icon size="1.5em" name="chevron_right" class="letras-system" />
      </template>
      <template v-for="(bread, index) in breadcrumbs">
        <q-breadcrumbs-el
          :label="bread.label"
          :icon="bread.icon"
          class="letras-system font-14px"
        />
      </template>
    </q-breadcrumbs>
  </div>
</template>
<script>
export default {
  data() {
    return {
      title: "",
    };
  },
  computed: {
    modulesGlobal() {
      return this.$store.getters["user/modulesGetter"];
    },
    breadcrumbs: function () {
      if (this.modulesGlobal) {
        var vm = this;
        let breadcrumbs = [];
        let menu = this.modulesGlobal;
        menu.forEach((item) => {
          if (item.slug == this.$route.path) {
            vm.title = item.name;
            breadcrumbs.push({
              label: item.name,
              icon: item.icon,
            });
          }
          if (!item.parent && !item.slug) {
            menu.forEach((item_h) => {
              if (item_h.parent == item.id) {
                if (item.nameref == this.$route.name) {
                  breadcrumbs.push({
                    label: item_h.name,
                    icon: item_h.icon,
                  });
                  //cuando sea create op edit, colocar una validacion de concatenacion
                  breadcrumbs.push({
                    label: item_h.name,
                  });
                }

                item_h.q_subestados.forEach((q_sub) => {
                  if (item_h.nameref + "." + q_sub == this.$route.name) {
                    breadcrumbs.push({
                      label: item.name,
                      icon: item.icon,
                    });
                    breadcrumbs.push({
                      label: item_h.name,
                    });
                    breadcrumbs.push({
                      label: q_sub,
                    });
                  }
                });
              }
            });
          }
        });
        return breadcrumbs;
      }
    },
  },
};
</script>
